version: "1"
project:
  name: ${scm.git.repo}
  branch: ${scm.git.branch}
  revision:
    name: ${scm.git.commit}
    date: ${scm.git.commit.date}
capture:
  build:
    cleanCommands:
    - shell: [mvn, -B, -f, pom.xml, clean]
    buildCommands:
    - shell: [mvn, -B, -f, pom.xml, install]
  fileSystem:
    ears:
      extensions: [ear]
      files:
      - directory: ${project.projectDir}
    java:
      files:
      - directory: ${project.projectDir}
    javascript:
      files:
      - directory: ${project.projectDir}
      - excludeRegex: lesson_plans|node_modules|bower_components|vendor|lesson_solutions_1|webapp
    php:
      files:
      - directory: ${project.projectDir}
    python:
      files:
      - directory: ${project.projectDir}
    ruby:
      files:
      - directory: ${project.projectDir}
    wars:
      extensions: [war]
      files:
      - directory: ${project.projectDir}
analyze:
  mode: central
install:
  coverity:
    version: default
serverUrl: https://poc118.polaris.synopsys.com
